## r-bioc-s4vectors 0.36.1

=== DESCRIPTION ===
Package: S4Vectors
Title: Foundation of vector-like and list-like containers in
        Bioconductor
Description: The S4Vectors package defines the Vector and List virtual classes
	and a set of generic functions that extend the semantic of ordinary
	vectors and lists in R. Package developers can easily implement
	vector-like or list-like objects as concrete subclasses of Vector or
	List. In addition, a few low-level concrete subclasses of general
	interest (e.g. DataFrame, Rle, Factor, and Hits) are implemented in
	the S4Vectors package itself (many more are implemented in the IRanges
	package and in other Bioconductor infrastructure packages).
biocViews: Infrastructure, DataRepresentation
URL: https://bioconductor.org/packages/S4Vectors
BugReports: https://github.com/Bioconductor/S4Vectors/issues
Version: 0.36.1
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"),
	person("Michael", "Lawrence", role="aut"),
	person("Patrick", "Aboyoun", role="aut"),
	person("Aaron", "Lun", role="ctb"))
Depends: R (>= 4.0.0), methods, utils, stats, stats4, BiocGenerics (>=
        0.37.0)
Suggests: IRanges, GenomicRanges, SummarizedExperiment, Matrix,
        DelayedArray, ShortRead, graph, data.table, RUnit, BiocStyle
Collate: S4-utils.R show-utils.R utils.R normarg-utils.R bindROWS.R
        LLint-class.R isSorted.R subsetting-utils.R vector-utils.R
        integer-utils.R character-utils.R raw-utils.R eval-utils.R
        map_ranges_to_runs.R RectangularData-class.R Annotated-class.R
        DataFrame_OR_NULL-class.R Vector-class.R Vector-comparison.R
        Vector-setops.R Vector-merge.R Hits-class.R Hits-comparison.R
        Hits-setops.R Rle-class.R Rle-utils.R Factor-class.R
        List-class.R List-comparison.R splitAsList.R List-utils.R
        SimpleList-class.R HitsList-class.R DataFrame-class.R
        DataFrame-combine.R DataFrame-comparison.R DataFrame-utils.R
        DataFrameFactor-class.R TransposedDataFrame-class.R
        Pairs-class.R FilterRules-class.R stack-methods.R
        expand-methods.R aggregate-methods.R shiftApply-methods.R zzz.R
git_url: https://git.bioconductor.org/packages/S4Vectors
git_branch: RELEASE_3_16
git_last_commit: 838e988
git_last_commit_date: 2022-12-05
Date/Publication: 2022-12-05
NeedsCompilation: yes
Packaged: 2022-12-05 22:50:37 UTC; biocbuild
Author: Hervé Pagès [aut, cre],
  Michael Lawrence [aut],
  Patrick Aboyoun [aut],
  Aaron Lun [ctb]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-s4vectors (0.36.1-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 13:53:52 +0100

r-bioc-s4vectors (0.36.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 12:18:03 +0100

=== debian/control ===
Source: r-bioc-s4vectors
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors.git
Homepage: https://bioconductor.org/packages/S4Vectors/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0)
Testsuite: autopkgtest-pkg-r

Package: r-bioc-s4vectors
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Breaks: r-bioc-iranges (<< 2.20.2~)
Description: BioConductor S4 implementation of vectors and lists
 The S4Vectors package defines the Vector and List virtual classes and a
 set of generic functions that extend the semantic of ordinary vectors
 and lists in R. Package developers can easily implement vector-like or
 list-like objects as concrete subclasses of Vector or List. In addition,
 a few low-level concrete subclasses of general interest (e.g. DataFrame,
 Rle, and Hits) are implemented in the S4Vectors package itself (many
 more are implemented in the IRanges package and in other Bioconductor
 infrastructure packages).

## r-bioc-s4vectors 0.38.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -12,7 +12,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/S4Vectors
 BugReports: https://github.com/Bioconductor/S4Vectors/issues
-Version: 0.36.1
+Version: 0.38.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -20,11 +20,15 @@
 		email="hpages.on.github@gmail.com"),
 	person("Michael", "Lawrence", role="aut"),
 	person("Patrick", "Aboyoun", role="aut"),
-	person("Aaron", "Lun", role="ctb"))
+	person("Aaron", "Lun", role="ctb"),
+	person("Beryl", "Kanali", role="ctb",
+		comment="Converted 'RleTricks' vignette from Sweave to RMarkdown."))
 Depends: R (>= 4.0.0), methods, utils, stats, stats4, BiocGenerics (>=
         0.37.0)
 Suggests: IRanges, GenomicRanges, SummarizedExperiment, Matrix,
-        DelayedArray, ShortRead, graph, data.table, RUnit, BiocStyle
+        DelayedArray, ShortRead, graph, data.table, RUnit, BiocStyle,
+        knitr
+VignetteBuilder: knitr
 Collate: S4-utils.R show-utils.R utils.R normarg-utils.R bindROWS.R
         LLint-class.R isSorted.R subsetting-utils.R vector-utils.R
         integer-utils.R character-utils.R raw-utils.R eval-utils.R
@@ -39,14 +43,16 @@
         Pairs-class.R FilterRules-class.R stack-methods.R
         expand-methods.R aggregate-methods.R shiftApply-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Vectors
-git_branch: RELEASE_3_16
-git_last_commit: 838e988
-git_last_commit_date: 2022-12-05
-Date/Publication: 2022-12-05
+git_branch: RELEASE_3_17
+git_last_commit: 17a9d8c
+git_last_commit_date: 2023-05-01
+Date/Publication: 2023-05-02
 NeedsCompilation: yes
-Packaged: 2022-12-05 22:50:37 UTC; biocbuild
+Packaged: 2023-05-02 22:13:06 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Michael Lawrence [aut],
   Patrick Aboyoun [aut],
-  Aaron Lun [ctb]
+  Aaron Lun [ctb],
+  Beryl Kanali [ctb] (Converted 'RleTricks' vignette from Sweave to
+    RMarkdown.)
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-s4vectors (0.38.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Jul 2023 08:05:15 +0000

=== debian/control ===
Source: r-bioc-s4vectors
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.37.0)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors.git
Homepage: https://bioconductor.org/packages/S4Vectors/
Rules-Requires-Root: no

Package: r-bioc-s4vectors
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor S4 implementation of vectors and lists
 The S4Vectors package defines the Vector and List virtual classes and a
 set of generic functions that extend the semantic of ordinary vectors
 and lists in R. Package developers can easily implement vector-like or
 list-like objects as concrete subclasses of Vector or List. In addition,
 a few low-level concrete subclasses of general interest (e.g. DataFrame,
 Rle, and Hits) are implemented in the S4Vectors package itself (many
 more are implemented in the IRanges package and in other Bioconductor
 infrastructure packages).

## r-bioc-s4vectors 0.40.2%2Bdfsg

=== debian/changelog ===
r-bioc-s4vectors (0.40.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 17:40:04 +0100

r-bioc-s4vectors (0.38.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2023 12:04:11 +0200

## r-bioc-s4vectors 0.40.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -12,7 +12,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/S4Vectors
 BugReports: https://github.com/Bioconductor/S4Vectors/issues
-Version: 0.38.1
+Version: 0.40.2
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -43,12 +43,13 @@
         Pairs-class.R FilterRules-class.R stack-methods.R
         expand-methods.R aggregate-methods.R shiftApply-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Vectors
-git_branch: RELEASE_3_17
-git_last_commit: 17a9d8c
-git_last_commit_date: 2023-05-01
-Date/Publication: 2023-05-02
+git_branch: RELEASE_3_18
+git_last_commit: 8cd5cb3
+git_last_commit_date: 2023-11-23
+Repository: Bioconductor 3.18
+Date/Publication: 2023-11-23
 NeedsCompilation: yes
-Packaged: 2023-05-02 22:13:06 UTC; biocbuild
+Packaged: 2023-11-23 23:55:34 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Michael Lawrence [aut],
   Patrick Aboyoun [aut],

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,repack,compression=xz,dversionmangle=s/\+dfsg//g,\
downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/S4Vectors.html .*/S4Vectors_([\d\.]+)\.tar\.gz

## r-bioc-s4vectors 0.42.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -12,7 +12,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/S4Vectors
 BugReports: https://github.com/Bioconductor/S4Vectors/issues
-Version: 0.40.2
+Version: 0.42.1
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -22,7 +22,7 @@
 	person("Patrick", "Aboyoun", role="aut"),
 	person("Aaron", "Lun", role="ctb"),
 	person("Beryl", "Kanali", role="ctb",
-		comment="Converted 'RleTricks' vignette from Sweave to RMarkdown."))
+		comment="Converted vignettes from Sweave to RMarkdown"))
 Depends: R (>= 4.0.0), methods, utils, stats, stats4, BiocGenerics (>=
         0.37.0)
 Suggests: IRanges, GenomicRanges, SummarizedExperiment, Matrix,
@@ -43,17 +43,16 @@
         Pairs-class.R FilterRules-class.R stack-methods.R
         expand-methods.R aggregate-methods.R shiftApply-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Vectors
-git_branch: RELEASE_3_18
-git_last_commit: 8cd5cb3
-git_last_commit_date: 2023-11-23
-Repository: Bioconductor 3.18
-Date/Publication: 2023-11-23
+git_branch: RELEASE_3_19
+git_last_commit: cc0a6d7
+git_last_commit_date: 2024-07-03
+Repository: Bioconductor 3.19
+Date/Publication: 2024-07-03
 NeedsCompilation: yes
-Packaged: 2023-11-23 23:55:34 UTC; biocbuild
+Packaged: 2024-07-04 00:07:17 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Michael Lawrence [aut],
   Patrick Aboyoun [aut],
   Aaron Lun [ctb],
-  Beryl Kanali [ctb] (Converted 'RleTricks' vignette from Sweave to
-    RMarkdown.)
+  Beryl Kanali [ctb] (Converted vignettes from Sweave to RMarkdown)
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-s4vectors (0.42.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/tests/control: skip if packages are not available, like on 32-bit
    architectures

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 18:15:39 +0900

r-bioc-s4vectors (0.42.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:47:09 +0200

r-bioc-s4vectors (0.42.1+dfsg-1~0exp2) experimental; urgency=medium

  * Team upload.
  * d/control: bump the binary packages's minimum version for
    r-bioc-biocgenerics to be from bioconductor 3.19.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 05 Aug 2024 07:59:55 +0200

r-bioc-s4vectors (0.42.1+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 14:39:39 +0200

r-bioc-s4vectors (0.42.1+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version. Closes: #1070843, #1071349
  * d/copyright: Exclude inst/doc/S4VectorsOverview.html

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 17:21:49 +0200

=== debian/control ===
Source: r-bioc-s4vectors
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4vectors.git
Homepage: https://bioconductor.org/packages/S4Vectors/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0)
Testsuite: autopkgtest-pkg-r

Package: r-bioc-s4vectors
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-iranges (>= 2.38.1),
          r-bioc-genomicranges (>= 1.56.1),
          r-bioc-summarizedexperiment (>= 1.34.0),
          r-bioc-delayedarray (>= 0.30.1),
          r-bioc-shortread (>= 1.62.0),
          r-bioc-graph (>= 1.82.0),
          r-bioc-biocstyle (>= 2.32.1)
Description: BioConductor S4 implementation of vectors and lists
 The S4Vectors package defines the Vector and List virtual classes and a
 set of generic functions that extend the semantic of ordinary vectors
 and lists in R. Package developers can easily implement vector-like or
 list-like objects as concrete subclasses of Vector or List. In addition,
 a few low-level concrete subclasses of general interest (e.g. DataFrame,
 Rle, and Hits) are implemented in the S4Vectors package itself (many
 more are implemented in the IRanges package and in other Bioconductor
 infrastructure packages).

## r-bioc-s4vectors 0.44.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -12,7 +12,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/S4Vectors
 BugReports: https://github.com/Bioconductor/S4Vectors/issues
-Version: 0.42.1
+Version: 0.44.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -43,13 +43,13 @@
         Pairs-class.R FilterRules-class.R stack-methods.R
         expand-methods.R aggregate-methods.R shiftApply-methods.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Vectors
-git_branch: RELEASE_3_19
-git_last_commit: cc0a6d7
-git_last_commit_date: 2024-07-03
-Repository: Bioconductor 3.19
-Date/Publication: 2024-07-03
+git_branch: RELEASE_3_20
+git_last_commit: 79c3948
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-07-04 00:07:17 UTC; biocbuild
+Packaged: 2024-10-30 02:36:31 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Michael Lawrence [aut],
   Patrick Aboyoun [aut],

=== debian/changelog ===
r-bioc-s4vectors (0.44.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 22:13:13 +0100

r-bioc-s4vectors (0.44.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 07:37:24 +0100

=== debian/control ===
--- 
+++ 
@@ -12,24 +12,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.50.0)
+               r-bioc-biocgenerics (>= 0.37.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-s4vectors
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.50.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-iranges (>= 2.38.1),
-          r-bioc-genomicranges (>= 1.56.1),
-          r-bioc-summarizedexperiment (>= 1.34.0),
-          r-bioc-delayedarray (>= 0.30.1),
-          r-bioc-shortread (>= 1.62.0),
-          r-bioc-graph (>= 1.82.0),
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: BioConductor S4 implementation of vectors and lists
  The S4Vectors package defines the Vector and List virtual classes and a
  set of generic functions that extend the semantic of ordinary vectors
